<?xml version="1.0" encoding="UTF-8"?>
<flow xmlns="http://www.springframework.org/schema/webflow"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.springframework.org/schema/webflow
      http://www.springframework.org/schema/webflow/spring-webflow-2.0.xsd">

  <secured attributes="ROLE_USER, ROLE_ADMIN"/>

  <on-start>
    <set name="requestScope.communityCode" value="requestParameters.communityCode"/>
    <set name="requestScope.user" value="externalContext.requestMap._user"/>
    <set name="flowScope.community" value="communityTable.findByCodeForWrite(communityCode, user)"/>
  </on-start>

  <subflow-state id="form" subflow="community.form-sub-flow">
    <input name="pageTitleCode" value="'community.UpdateForm'"/>
    <input name="lastSubmitCode" value="'doUpdate'"/>
    <input name="community" required="true"/>
    <output name="community" required="true"/>
    <transition on="finish" to="finish"/>
  </subflow-state>

  <end-state id="finish" view="externalRedirect:contextRelative:/community/${flowScope.community.code}/index.html"/>

</flow>
